package rocks.zipcode.quiz5.collections;

import java.util.HashMap;
import java.util.Map;

public class WordCounter {
    private String[] strings;

    public WordCounter(String... strings) {
        this.strings = strings;
    }

    public Map<String, Integer> getWordCountMap() {
        Map<String, Integer> map = new HashMap<>();
        Integer holder = 0;

        for (String s : strings){
            if (map.containsKey(s)){
                holder = map.get(s);
                holder++;
                map.put(s, holder);
            } else {
                map.put(s, 1);
            }
        }

        return map;
    }
}
