package rocks.zipcode.quiz5.fundamentals;

import java.util.HashMap;
import java.util.Map;

/**
 * @author leon on 21/12/2018.
 */
public class StringUtils {
    public static Character getMiddleCharacter(String string) {

        return string.charAt(string.length()/2);
    }

    public static String capitalizeMiddleCharacter(String str) {

        String s = str.valueOf(str.charAt(str.length()/2)).toUpperCase();

        return str.substring(0, str.length()/2) + s + str.substring(str.length()/2 + 1);
    }

    public static String lowerCaseMiddleCharacter(String str) {

        String s = str.valueOf(str.charAt(str.length()/2)).toLowerCase();

        return str.substring(0, str.length()/2) + s + str.substring(str.length()/2 + 1);
    }

    public static Boolean isIsogram(String str) {
        Map<Character, Integer> map = new HashMap<>();

        char[] ch = str.toCharArray();

        for(char c : ch){
            if (!map.containsKey(c)){
                map.put(c, 1);
            } else {
                int count = map.get(c);
                count++;
                map.put(c, count);
            }
        }

        if (map.size() == 1) {return false;}

        Integer test = map.get(ch[0]);

        for (char key : map.keySet()){
            System.out.println(key);
            if (map.get(key) != test){
                return false;
            }
        }

        return true;
    }

    public static Boolean hasDuplicateConsecutiveCharacters(String str) {

        for (int i = 1; i < str.length(); i++) {
            if (str.charAt(i) == str.charAt(i - 1)){
                return true;
            }

        }
        return false;
    }

    public static String removeConsecutiveDuplicateCharacters(String str) {

        char[] chArr = str.toCharArray();
//        StringBuilder builder = new StringBuilder();
//        char mark = chArr[0];
//        builder.append(mark);
//
//        for (int i = 1; i < chArr.length; i++) {
//
//            if (chArr[i] == chArr[i - 1]){
//
//            } else {
//                builder.append(chArr[i]);
//            }
//
//
//        }
//
//        return builder.toString();

        for (int i = 1; i < chArr.length; i++) {
            if (chArr[i] == chArr[i-1]){
                return str.substring(0, i - 1) + str.substring(i + 1);
            }
        }

        return str;

    }

    public static String invertCasing(String str) {

        char[] chArr = str.toCharArray();
        StringBuilder builder = new StringBuilder();

        for (char c : chArr){
            if (Character.toString(c).matches("[a-z]")) {
                builder.append(Character.toString(c).toUpperCase());
            } else if (Character.toString(c).matches("[A-Z]")){
                builder.append(Character.toString(c).toLowerCase());
            } else {
                builder.append(Character.toString(c));
            }
        }




        return builder.toString();
    }


}